<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Suite">
              <span class="suite-name border-passed">Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Suite">
                    <span>D:\27May2019\demo\testng1.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Suite">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">3 methods,   3 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods passed suite-Suite"> (hide)</a> <!-- hide-methods passed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods passed suite-Suite"> (show)</a> <!-- show-methods passed suite-Suite -->
                    </span>
                    <div class="method-list-content passed suite-Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="Test.Test.Features_verifications_case" hash-for-method="Features_verifications_case">Features_verifications_case</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="Test.Test.Loggingin_case" hash-for-method="Loggingin_case">Loggingin_case</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="Test.Test.Opencartcloud_case" hash-for-method="Opencartcloud_case">Opencartcloud_case</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Suite" class="panel Suite">
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">Test.Test.Opencartcloud_case</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Opencartcloud_case">
                  </a> <!-- Opencartcloud_case -->
                  <span class="method-name">Opencartcloud_case</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">Test.Test.Features_verifications_case</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Features_verifications_case">
                  </a> <!-- Features_verifications_case -->
                  <span class="method-name">Features_verifications_case</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">Test.Test.Loggingin_case</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Loggingin_case">
                  </a> <!-- Loggingin_case -->
                  <span class="method-name">Loggingin_case</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
        </div> <!-- panel Suite -->
        <div panel-name="test-xml-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">D:\27May2019\demo\testng1.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite thread-count=&quot;4&quot; guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Suite&quot; parallel=&quot;tests&quot;&gt;
  &lt;listeners&gt;
    &lt;listener class-name=&quot;Utilities.Listeners&quot;/&gt;
  &lt;/listeners&gt;
  &lt;test thread-count=&quot;3&quot; name=&quot;firefox_cases&quot; parallel=&quot;tests&quot;&gt;
    &lt;parameter name=&quot;browsername&quot; value=&quot;firefox&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;Test.Test.Loggingin_case&quot;/&gt;
      &lt;class name=&quot;Test.Test.Features_verifications_case&quot;/&gt;
      &lt;class name=&quot;Test.Test.Opencartcloud_case&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- firefox_cases --&gt;
&lt;/suite&gt; &lt;!-- Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">firefox_cases (3 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Suite');
function tableData_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(3);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'Features_verifications_case')
data.setCell(0, 2, 'Test.Test.Features_verifications_case')
data.setCell(0, 3, 14535);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'Opencartcloud_case')
data.setCell(1, 2, 'Test.Test.Opencartcloud_case')
data.setCell(1, 3, 12255);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'Loggingin_case')
data.setCell(2, 2, 'Test.Test.Loggingin_case')
data.setCell(2, 3, 11907);
window.suiteTableData['Suite']= { tableData: data, tableDiv: 'times-div-Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 38 seconds</span>
              <div id="times-div-Suite">
              </div> <!-- times-div-Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">Test.Test.Loggingin_case</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <span class="method-name">initialization(firefox)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-method before -->
              <div class="configuration-method before">
                <span class="method-name">commonobjectsinitialization</span>
                <span class="method-start">11230 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">Loggingin_case</span>
                <span class="method-start">11466 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">closing</span>
                <span class="method-start">23374 ms</span>
              </div> <!-- configuration-method after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">Test.Test.Features_verifications_case</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <span class="method-name">initialization(firefox)</span>
                <span class="method-start">25245 ms</span>
              </div> <!-- configuration-method before -->
              <div class="configuration-method before">
                <span class="method-name">commonobjectsinitialization</span>
                <span class="method-start">30146 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">Features_verifications_case</span>
                <span class="method-start">30148 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">closing</span>
                <span class="method-start">44684 ms</span>
              </div> <!-- configuration-method after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">Test.Test.Opencartcloud_case</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <span class="method-name">initialization(firefox)</span>
                <span class="method-start">46203 ms</span>
              </div> <!-- configuration-method before -->
              <div class="configuration-method before">
                <span class="method-name">commonobjectsinitialization</span>
                <span class="method-start">50647 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">Opencartcloud_case</span>
                <span class="method-start">50649 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">closing</span>
                <span class="method-start">62905 ms</span>
              </div> <!-- configuration-method after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
